package cn.com.ctop.job.bytedance.handler;

import cn.com.ctop.job.bytedance.service.AccountInfoService;
import cn.com.ctop.job.bytedance.service.ReportDataService;
import cn.com.ctop.job.bytedance.utils.DateUtils;
import com.xxl.job.core.context.XxlJobHelper;
import com.xxl.job.core.handler.annotation.XxlJob;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;

/**
 * 头条结算单
 */
@Slf4j
@Component
public class AgentManagementJob {
    @Autowired
    private AccountInfoService accountInfoService;
    @Autowired
    private ReportDataService reportDataService;

    static ExecutorService executorService = Executors.newFixedThreadPool(3);

    @XxlJob("agentManagementJob")
    public void execute() throws Exception {
        try {
            List<Long> ids = accountInfoService.getProjectIdsByMediaId("1");
            String today = DateUtils.date2Str();
            //昨天
            String yesterday = DateUtils.getLastDay(today, 1);
            String yesterday3 = DateUtils.getLastDay(today, 3);

            for (Long id : ids) {
                executorService.submit(new Runnable() {
                    @Override
                    public void run() {
                        reportDataService.insertAccountTransactionDayByProjectId(id, yesterday3, yesterday);
                    }
                });
            }
            XxlJobHelper.log("同步头条结算单完成");
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}
