package cn.com.ctop.job.bytedance.handler;


import cn.com.ctop.job.bytedance.entity.RuleAccountTemplate;
import cn.com.ctop.job.bytedance.service.CommonService;
import cn.com.ctop.job.bytedance.utils.Check;
import cn.com.ctop.job.bytedance.utils.HttpUtils;
import com.xxl.job.core.handler.annotation.XxlJob;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;

@Component
public class AlarmRuleJob {
    @Autowired
    private CommonService commonService;

    String URLPREFIX = "http://api.tjyourong.com.cn/jeecg-boot/ruleGroup/checkRulesByAccountId?accountId=";

    /**
     *预警定时任务
     */
    @XxlJob("alarmRuleJob")
    public void execute() throws Exception {
        try {
            //查询账户绑定过的规则模板
            List<RuleAccountTemplate> ruleAccountTemplates = commonService.getRuleAccountTemplateByStatus(0);
            if (!Check.isNull(ruleAccountTemplates)) {
                ruleAccountTemplates.forEach(template -> {
                    String url = URLPREFIX + template.getAccountId();
                    HttpUtils.httpGet(url, null, null);
                });
            }
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}
