package cn.com.ctop.job.bytedance.handler;

import cn.com.ctop.job.bytedance.entity.CtopOauthToken;
import cn.com.ctop.job.bytedance.service.AccountInfoService;
import cn.com.ctop.job.bytedance.service.ReportDataService;
import cn.com.ctop.job.bytedance.service.TokenService;
import com.xxl.job.core.handler.annotation.XxlJob;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.Date;
import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;

@Component
public class ByteDancePlanRuleDataJob {
    @Autowired
    private ReportDataService reportDataService;
    @Autowired
    private TokenService tokenService;

    private ExecutorService executorService = Executors.newFixedThreadPool(3);

    /**
     * 规则引擎计划数据任务
     * @throws Exception
     */
    @XxlJob("bytedancePlanRuleLoadJob")
    public void execute() throws Exception {
        try {
            Date date = new Date();
            List<CtopOauthToken> tokens = tokenService.queryTtValidRuleAccountsToken();
            tokens.forEach(token -> executorService.submit(()->{
                //1:删除历史数据
                reportDataService.deleteRuleData(token.getAccountId());
                reportDataService.getAdvertiserPlanRuleData(token,date,date, "STAT_TIME_GRANULARITY_DAILY");
            }));
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}
