package cn.com.ctop.job.bytedance.handler;

import cn.com.ctop.job.bytedance.service.TokenService;
import com.xxl.job.core.handler.annotation.XxlJob;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

@Component
public class ByteDanceRefreshTokenJob {

    @Autowired
    private TokenService tokenService;

    /**
     * 刷新token
     */
    @XxlJob("byteDanceRefreshTokenJob")
    public void execute() throws Exception {
        try {
            tokenService.refreshBytedanceToken();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

    /**
     * 刷新代理商token
     */
    @XxlJob("bytedanceRefreshAgentTokenJob")
    public void bytedanceRefreshAgentTokenJob() throws Exception {
        try {
            tokenService.refreshBytedanceAgentToken();
        } catch (Exception e) {
            e.printStackTrace();
        }
    }

}
