package cn.com.ctop.job.bytedance.handler;

import cn.com.ctop.job.bytedance.entity.CtopOauthToken;
import cn.com.ctop.job.bytedance.service.ReportDataService;
import cn.com.ctop.job.bytedance.service.TokenService;
import com.xxl.job.core.context.XxlJobHelper;
import com.xxl.job.core.handler.annotation.XxlJob;
import lombok.extern.slf4j.Slf4j;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;

@Component
@Slf4j
public class BytedancePlanLoadJob {
    @Autowired
    private TokenService tokenService;
    @Autowired
    private ReportDataService reportDataService;
    static ExecutorService executorService = Executors.newFixedThreadPool(4);

    /**
     * 头条全量计划数据
     *
     * @throws Exception
     */
    @XxlJob("bytedancePlanLoadJob")
    public void execute() throws Exception {
        try {
            //1:查询当日数据
            log.info("============获取头条全量计划=================");
            List<CtopOauthToken> tokens = tokenService.getAllBytedanceTokens();
            tokens.forEach(token -> executorService.submit(() -> reportDataService.getAdvertiserPlan(token, 1, "", null, null)));
            XxlJobHelper.log("头条全量计划数据获取完成");
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}
