package cn.com.ctop.job.bytedance.handler;

import cn.com.ctop.job.bytedance.entity.CtopOauthToken;
import cn.com.ctop.job.bytedance.service.ReportDataService;
import cn.com.ctop.job.bytedance.service.TokenService;
import com.xxl.job.core.context.XxlJobHelper;
import com.xxl.job.core.handler.annotation.XxlJob;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.text.SimpleDateFormat;
import java.util.Date;
import java.util.List;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;

/**
 * 头条广告物料数据获取任务
 *
 * @author 宋英豪
 */
@Component
public class BytedanceTodayPlaneLoadJob {
    @Autowired
    private TokenService tokenService;
    @Autowired
    private ReportDataService reportDataService;

    static ExecutorService executorService = Executors.newFixedThreadPool(6);

    /**
     * 获取今天头条计划数据
     */
    @XxlJob("bytedanceTodayPlaneLoadJob")
    public void execute() throws Exception {
        Date getDate = new Date();
        SimpleDateFormat dateFormat = new SimpleDateFormat("yyyy-MM-dd");
        String dateString = dateFormat.format(getDate);

        List<CtopOauthToken> tokens = tokenService.getAllBytedanceTokens();
        tokens.forEach(token -> executorService.submit(() -> {
            try {
                reportDataService.getAdvertiserPlan(token, 1,"", null, dateString);
            } catch (Exception e) {
                e.printStackTrace();
            }
        }));
        XxlJobHelper.log("当日计划数据同步完成完成");
    }
}
