package cn.com.ctop.job.bytedance.handler;

import cn.com.ctop.job.bytedance.entity.CtopOauthToken;
import cn.com.ctop.job.bytedance.service.CommonService;
import cn.com.ctop.job.bytedance.service.ReportDataService;
import cn.com.ctop.job.bytedance.service.TokenService;
import com.xxl.job.core.context.XxlJobHelper;
import com.xxl.job.core.handler.annotation.XxlJob;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.HashMap;
import java.util.List;
import java.util.Map;
import java.util.concurrent.ExecutorService;
import java.util.concurrent.Executors;

@Component
public class RuleDataAccountCleanJob {
    @Autowired
    private TokenService oauthTokenService;
    @Autowired
    private ReportDataService reportDataService;
    private ExecutorService executorService = Executors.newFixedThreadPool(5);

    /**
     * 规则引擎账户数据
     *
     * @throws Exception
     */
    @XxlJob("ruleDataAccountCleanJob")
    public void execute() {
        try {
            XxlJobHelper.log("规则预警账户维度数据开始清洗");
            List<CtopOauthToken> tokens = oauthTokenService.queryTtValidRuleAccountsToken();
            tokens.forEach(token -> executorService.submit(() -> {
                reportDataService.deleteRuleAccount(token.getAccountId());
                reportDataService.cleanRuleDataAccount(token.getAccountId());
            }));
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}
