package cn.com.ctop.job.bytedance.handler;


import cn.com.ctop.job.bytedance.service.WechatService;
import cn.com.ctop.job.bytedance.utils.DateUtils;
import com.xxl.job.core.context.XxlJobHelper;
import com.xxl.job.core.handler.annotation.XxlJob;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

/**
 * 异常考勤审批数据入库
 */
@Component
public class WechatApproveAttendanceJob {
    @Autowired
    private WechatService wechatService;

    /**
     * 异常考勤审批数据入库
     * 频率：每月2日凌晨2点同步审批数据 cron:0 0 2 2 * ?
     * 审批状态表
     * starttime 统计开始时间，上个月1号零时零分的时间 例：2020-08-01 00:00:00;
     * endtime 统计结束时间，本月1号零时零分的时间 例：2020-09-01 00:00:00;
     *
     * @author ZHAOXA
     */
    @XxlJob("wechatApproveAttendanceJob")
    public void execute() {
        try {
            XxlJobHelper.log("--------异常考勤审批数据入库 start ");
            String initMonth = DateUtils.initDateByMonth();
            //更新审批状态表e
            wechatService.getNoListDate(DateUtils.getMonthBefore(DateUtils.NEW_FORMAT, initMonth, -1), initMonth, "0");
            XxlJobHelper.log("--------异常考勤审批数据入库 end ");
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}
