package cn.com.ctop.job.bytedance.handler;

import cn.com.ctop.job.bytedance.service.WechatService;
import cn.com.ctop.job.bytedance.utils.DateUtils;
import com.xxl.job.core.context.XxlJobHelper;
import com.xxl.job.core.handler.annotation.XxlJob;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Component;

import java.util.Date;

@Component
public class WechatAttendanceJob {
    @Autowired
    private WechatService wechatService;

    /**
     * 每日考勤和人员数据入库
     * 员工打卡明细表 每日凌晨2点统计前一天的考勤数据 cron:0 0 2 * * ?
     * 人员信息表 每日凌晨2点统计前一天的人员数据 cron:0 0 2 * * ?
     */
    @XxlJob("wechatAttendanceJob")
    public void execute() {
        try {
            XxlJobHelper.log("--------考勤和人员数据入库 start ");
            String beforeDay = DateUtils.getLastDay(DateUtils.formatDate(new Date()), 1);
            //更新人员信息表
            wechatService.getUserList();
            XxlJobHelper.log("--------人员数据入库 end ");
            //更新员工打卡明细表
            wechatService.getCheckinData(beforeDay + " 00:00:00", beforeDay + " 23:59:59");
            XxlJobHelper.log("--------考勤数据入库 end ");
        } catch (Exception e) {
            e.printStackTrace();
        }
    }
}
