package cn.com.ctop.job.bytedance.service.impl;

import cn.com.ctop.job.bytedance.service.IMessageTemplate;
import org.springframework.stereotype.Service;

import java.math.BigDecimal;

@Service
public class MessageTemplateImpl implements IMessageTemplate {

    @Override
    public String getYesterdayMessage(Long accountId, String authName, Integer maxHour, BigDecimal nowCost , String projectName, String userName) {
        StringBuilder text = new StringBuilder();
        text.append("较昨日同时段消耗预警").append("<br/>")
                .append("您的项目：" + projectName + "下的，").append("<br/>")
                .append("账号：").append(accountId + "，").append("授权名称为：" + authName).append("<br/>")
                .append("账户所属人:" + userName).append("<br/>")
                .append("相较于昨日 " + maxHour + "时").append("<br/>")
                .append("出现消耗暴涨，").append("消耗金额为：" + nowCost).append("<br/>")
                .append("请您及时查看！");
        return text.toString();
    }

    @Override
    public String getOnDayMessage(Long accountId, String authName, Integer hour, BigDecimal nowCost , String projectName, String userName) {
        StringBuilder text = new StringBuilder();
        text.append("较上时段消耗预警").append("<br/>")
                .append("您的项目：" + projectName + " 下的").append("<br/>")
                .append("账号：").append(accountId + "，").append("授权名称为：" + authName).append("<br/>")
                .append("账户所属人:" + userName).append("<br/>")
                .append(hour + " 时").append("相较于 " + (hour - 1) + " 时").append("<br/>")
                .append("出现消耗暴涨，").append("消耗金额为：" + nowCost).append("<br/>")
                .append("请您及时查看！");
        return text.toString();
    }
}
